/*

	pasteBoard a associative array of the pasteBoardTypes
	hourlyRate the rate GrandTotal provides
	timeUnit the unit GrandTotal uses for timed entries
	
	create records using insertRecord(entityType) and return them as an array
	
	setting the parentDocument is optional. If there is none, GrandTotal will do a best guess
		
	NOTE: this type of plugin is running synchronously 

*/

paste();



function paste()
{
	var result = new Array();
	var items = pasteBoard["com.moneymoney-app.pasteboard"]["transactions"];
	var pasted = 0;
	for (index in items)
	{
		var item = items[index];

		var aUID = moneymoneyPaymentUID(item);
		
		var doubleQuery = fetchRecords("Payment");
		doubleQuery = doubleQuery.filter("uid == '" + aUID + "'");

		if (doubleQuery.count() > 0)
		{
			result.push(doubleQuery.record());
			return result;
		}
		
		var aParent = query().record();
		
		if (aParent.valueForKeyPath("entity.name") != "Invoice")
		{
			aParent = aParent.valueForKeyPath("client");
		}
		aRec = insertRecord("Payment");
		aRec.setValueForKey(aUID,"uid");
		aRec.setValueForKey(item["amount"],"amount");
		aRec.setValueForKey(item["purpose"],"notes");
		aRec.setValueForKey(item["bookingDate"],"dateCreation");
		aRec.setValueForKey(aParent.valueForKey("paymentType"),"paymentType");
		aRec.setValueForKey(aParent.valueForKey("currency"),"currency");
		aRec.setValueForKey(aParent,"parentDocument");

		result.push(aRec);

		pasted++;
		
	}
	if (pasted == 0)
	{
		beep();
	}
	return result;
}
